# JvmEcosystemPlugin

abstract class JvmEcosystemPlugin : Plugin<T>

A base plugin for projects working in a JVM world. This plugin will configure the JVM attributes schema, setup resolution rules and create the source set container.

#### Since

6.7

#### See also

<a href="https://docs.gradle.org/current/userguide/java_plugin.html">Java plugin reference</a>

## Constructors

JvmEcosystemPlugin
Link copied to clipboard
@Inject
constructor(objectFactory: ObjectFactory, sourceSets: SourceSetContainer)

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)